package cl.jtv;
/*
 * FlagContexto.java
 *
 * Created on 29 de octubre de 2002, 11:45 PM
 */

/**
 *
 * @author  Administrador
 * @version 
 */
public class FlagContexto implements Runnable{

    private boolean contextChange;
    /** Creates new FlagContexto */
    public FlagContexto() {
        
        this.contextChange=false;
    }

    public void run(){
        
        try{
            Thread.sleep(500);
        }
        catch(InterruptedException ex){
            System.out.println("sleep de FlagContexto falló");
        }
        this.setContextChange(false);
    }
    
    /** Getter for property contextChange.
     * @return Value of property contextChange.
     */
    public boolean isContextChange() {
        return contextChange;
    }    
    
    /** Setter for property contextChange.
     * @param contextChange New value of property contextChange.
     */
    public void setContextChange(boolean contextChange) {
        this.contextChange = contextChange;
    }    
    
    
}
